import hljs, {
	LanguageFn,
	Language,
	HighlightOptions,
	HighlightResult,
} from 'highlight.js';
import js from 'highlight.js/lib/languages/js';

const langFn: LanguageFn = (_): Language => js(_);

hljs.registerLanguage('newlang', langFn);

const options: HighlightOptions = {
	language: 'js'
};

const result: HighlightResult = hljs.highlight('// code', options);



console.log(result);
